package com.viettel.campaign.service;

import com.viettel.campaign.web.dto.CampaignCompleteCodeDTO;
import com.viettel.campaign.web.dto.ResultDTO;
import com.viettel.campaign.web.dto.request_dto.CampaignCompleteCodeRequestDTO;

import java.util.List;
import java.util.Map;

public interface CampaignCompleteCodeService {

    ResultDTO listAllCompleteCode(int page, int pageSize, String sort,Long companySiteId);

    Map listCompleteCodeByName(int page, int pageSize, String sort, String name);

    ResultDTO createCompleteCode(CampaignCompleteCodeDTO completeCodeDTO);

    ResultDTO updateCompleteCode(CampaignCompleteCodeDTO completeCodeDTO);

    ResultDTO deleteCompleteCode(CampaignCompleteCodeRequestDTO completeCodeDTO);

    ResultDTO deleteList(CampaignCompleteCodeRequestDTO campaignCompleteCodeRequestDTO);

    ResultDTO deleteById(Long id);

    ResultDTO findMaxValueCampaignCompleteCode(CampaignCompleteCodeDTO completeCodeDTO);

    ResultDTO getListStatus(String completeValue, Short completeType, Long companySiteId);

    ResultDTO getListStatusWithoutType(String completeValue, Short completeType, Long companySiteId);

    ResultDTO editCampaignCompleteCode (Long campaignCompleteCodeId);

}
